| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::MessageContentPartList Class Reference
Wrapper classes

The MessageContentPartList class represents a list of MessageContentPart. More...

`#include <TelepathyQt/MessageContentPartList>`

List of all members.

## Public Member Functions

- MessageContentPartList ()
- MessageContentPartList (const MessagePart &mp)
- MessageContentPartList (const MessagePartList &mps)
- MessageContentPartList (const MessageContentPart &mcp)
- MessageContentPartList (const QList< MessageContentPart > &other)
- MessagePartList bareParts () const

## Detailed Description

The MessageContentPartList class represents a list of MessageContentPart.

## Constructor & Destructor Documentation

Tp::MessageContentPartList::MessageContentPartList | ( |  | ) | `[inline]`

Tp::MessageContentPartList::MessageContentPartList | ( | const MessagePart & | mp | ) | `[inline]`

Tp::MessageContentPartList::MessageContentPartList | ( | const MessagePartList & | mps | ) | `[inline]`

Tp::MessageContentPartList::MessageContentPartList | ( | const MessageContentPart & | mcp | ) | `[inline]`

Tp::MessageContentPartList::MessageContentPartList | ( | const QList< MessageContentPart > & | other | ) | `[inline]`

## Member Function Documentation

MessagePartList Tp::MessageContentPartList::bareParts | ( |  | ) | const`[inline]`